1. 云栖社区>
  2. PHP教程>
  3. 正文

解决打了临时解决php hash冲突的补丁后eAccelerator不能使用的问题

作者:用户 来源:互联网 时间:2017-12-01 14:11:29

候鸟

解决打了临时解决php hash冲突的补丁后eAccelerator不能使用的问题 - 摘要: 本文讲的是解决打了临时解决php hash冲突的补丁后eAccelerator不能使用的问题,最近爆出php hash冲突问题,具体请查看雪候鸟的博文,打了雪兄给出的临时补丁后发现eAccelerator不好使了。执行php -v 会提示[eAccelerator] This build of "eAccelerator" was

最近爆出php hash冲突问题,具体请查看雪候鸟的html" target="_blank">博文,
打了雪兄给出的临时补丁后发现eAccelerator不好使了。
执行php -v 会提示
[eAccelerator] This build of "eAccelerator" was compiled for PHP version 5.2.17. Rebuild it for your PHP version (5.2.17p1) or download precompiled binaries.
主要是因为php版本号改变了导致eAccelerator报错。
找了一下eAccelerator的源码,发现是eaccelerator.c文件中,有检查php版本号的代码,主要是encode_version这个函数,找到
} else if (strncasecmp(buf, "beta", 4) == 0) {         a = 3;        sscanf(buf, "beta%u", &b);}

这行,在下面添加如下代码
} else if (buf, "p1%u", &b) {       a = 0;       b = 0; }

重新编译eAccelerator,再次执行 php -v,已无报错,重启cgi,eAccelerator目录已有重新重成的文件,说明成功解决此问题:)

以上是云栖社区小编为您精心准备的的内容,在云栖社区的博客、问答、公众号、人物、课程等栏目也有的相关内容,欢迎继续使用右上角搜索按钮进行搜索的 候鸟 ,以便于您获取更多的相关知识。